%define staticdevelname %mklibname %{name} -d -s

Summary:	Advanced IP routing and network device configuration tools
Name:		iproute2
Version:	3.7.0
Release:	%mkrel 2
License:	GPLv2+
Group:		Networking/Other
Url:		http://www.linuxfoundation.org/en/Net:Iproute2
Source0:	http://www.kernel.org/pub/linux/utils/net/iproute2/%{name}-%{version}.tar.xz
# RH patches
# rediffed from Cross LFS: http://ftp.osuosl.org/pub/clfs/clfs-packages/svn/
# (tpg) partially upstream accepted
Patch8:		iproute2-3.7.0-libdir.patch
# MDK patches
Patch100:	iproute2-3.2.0-def-echo.patch
Patch102:	iproute2-2.4.7-bashfix.patch
Patch109:	iproute2-3.2.0-IPPROTO_IP_for_SA.patch
Patch110:	iproute2-3.7.0-q_atm-ld-uneeded.patch
BuildRequires:	bison
BuildRequires:	db5.3-devel
BuildRequires:	flex
BuildRequires:	kernel-userspace-headers >= %{version}
BuildRequires:	linuxdoc-tools
BuildRequires:	linux-atm-devel
BuildRequires:	iptables-devel
Buildrequires:	libnl3-devel
Requires:	iputils

%description
The iproute package contains networking utilities (ip, tc and rtmon, for
example) which are designed to use the advanced networking capabilities of the
Linux 2.2.x kernels and later,  such as policy routing, fast NAT and packet
scheduling.

%package -n %{staticdevelname}
Summary:	Development files for iproute2
Group:		Development/C
Provides:	iproute2-devel = %{version}-%{release}

%description -n	%{staticdevelname}
The iproute package contains networking utilities (ip, tc and rtmon, for
example) which are designed to use the advanced networking capabilities of the
Linux 2.2.x kernels and later,  such as policy routing, fast NAT and packet
scheduling.

This package contains development files for iproute2.

%package doc
Summary:	Documentation for Advanced IP routing and network device configuration tools
Group:		Networking/Other

%description doc
Documentation for iproute2.

%prep

%setup -qn %{name}-%{version}
%patch8 -p1 -b .libdir

%patch100 -p1 -b .def-echo
%patch102 -p1 -b .bashfix
%patch109 -p1 -b .IPPROTO_IP_for_SA
%patch110 -p1 -b .q_atm-ld-uneeded

%build
%serverbuild
%setup_compile_flags
export CFLAGS="%{optflags} -fno-strict-aliasing"
export CCOPTS="%{optflags} -ggdb -fno-strict-aliasing -D_GNU_SOURCE -Wstrict-prototypes -fPIC"
export SBINDIR=/sbin
export LIBDIR=/%{_lib}
export ARPDIR=/var/lib
export INCLUDEDIR=%{_includedir}
export KERNEL_INCLUDE=%{_includedir}
export IPT_LIB_DIR=/%{_lib}/iptables
export LATEST_BDB_INCLUDE_DIR=`ls -1d /usr/include/db[0-9]*`

# (tpg) don't use macro here
./configure

%make KERNEL_INCLUDE=/usr/src/linux/include LIBDIR=/%{_lib}  DBM_INCLUDE=$LATEST_BDB_INCLUDE_DIR
# Doc generation fails with -j24 (ecrm1000 used before generation)
make -C doc

%install
rm -rf %{buildroot}

%makeinstall_std SBINDIR=/sbin LIBDIR=/%{_lib} ARPDIR=/var/lib MANDIR=%{_mandir} DOCDIR=%{_docdir}/%{name}-%{version}

mv %{buildroot}/sbin/arpd %{buildroot}/sbin/iproute-arpd

# development files
install -d %{buildroot}%{_includedir}
install -m0644 lib/libnetlink.a %{buildroot}/%{_lib}/
install -m0644 include/libnetlink.h %{buildroot}%{_includedir}/

%clean
rm -rf %{buildroot}

%files
%dir %{_sysconfdir}/iproute2
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/iproute2/*
/sbin/*
/%{_lib}/tc
%{_mandir}/man3/*
%{_mandir}/man8/*

%files -n %{staticdevelname}
%{_includedir}/*.h
/%{_lib}/*.a

%files doc
%doc README README.decnet README.iproute2+tc README.lnstat
%doc doc/*.dvi doc/*.ps doc/Plan
%doc %{_docdir}/%{name}-%{version}/*.sgml
%doc %{_docdir}/%{name}-%{version}/*.tex
%doc %{_docdir}/%{name}-%{version}/examples


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 3.7.0-2.mga3
+ Revision: 354458
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 tmb <tmb> 3.7.0-1.mga3
+ Revision: 339768
- update to 3.7.0

* Mon Jul 30 2012 tv <tv> 3.3.0-4.mga3
+ Revision: 276258
- fix build with db-5.3
- rebuild for db-5.3

* Thu Jun 14 2012 tv <tv> 3.3.0-2.mga3
+ Revision: 260485
- fix build with new db5.2
- build with db5.2

* Tue Mar 20 2012 tmb <tmb> 3.3.0-1.mga2
+ Revision: 224980
- build with libnl3
- update to 3.3.0 (mostly fixes, header sync with kernel 3.3)

* Fri Jan 06 2012 tmb <tmb> 3.2.0-1.mga2
+ Revision: 192632
- rediff patches to apply cleanly
- drop P107 (fixed differently)
- drop P108 (merged)
- add BR libnl-devel
- update filelists
- require kernel-userspace-headers with proper name and version
- update to 3.2.0
- drop defattr

* Sun Mar 20 2011 tmb <tmb> 2.6.38-1.mga1
+ Revision: 74978
- update to 2.6.38

  + rtp <rtp>
    - use kernel-headers to build the rpm. No userspace soft should need kernel-source

* Sat Jan 15 2011 alien <alien> 2.6.37-2.mga1
+ Revision: 18308
- Drop old macro
- Remove BuildRoot
- imported package iproute2

